%global __provides_exclude_from ^%{_libdir}/groonga/plugins/normalizers/mysql\\.so$

Name:		groonga-normalizer-mysql
Version:	1.1.0
Release:	2%{?dist}
Summary:	MySQL compatible normalizer plugin for Groonga

Group:		Applications/Text
License:	LGPLv2
URL:		http://groonga.org/
Source0:	http://packages.groonga.org/source/%{name}/%{name}-%{version}.tar.gz

BuildRequires:	groonga-devel >= 3.0.3
Requires:	groonga-libs >= 3.0.3

%description
This package provides MySQL compatible normalizer plugin.
You can use NormalizerMySQLGeneralCI and NormalizerMySQLUnicodeCI as normalizer.

%package devel
Summary:        Development files for groonga-normalizer-mysql
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides development files for groonga-normalizer-mysql.

%prep
%setup -q

%build
%configure --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
rm $RPM_BUILD_ROOT%{_libdir}/groonga/plugins/*/*.la

%files
%dir %{_libdir}/groonga
%dir %{_libdir}/groonga/plugins/
%dir %{_libdir}/groonga/plugins/normalizers
%{_libdir}/groonga/plugins/normalizers/mysql.so
%{_docdir}/%{name}/*

%files devel
%{_libdir}/pkgconfig/groonga-normalizer-mysql.pc

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jun 29 2015 Masafumi Yokoyama <yokoyama@clear-code.com> - 1.1.0-1
- new upstream release.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Apr 19 2015 Peter Robinson <pbrobinson@fedoraproject.org> 1.0.9-2
- Drop ExclusiveArch, atomic primitives now supported on all arches

* Sat Apr 4 2015 HAYASHI Kentaro <hayashi@clear-code.com> - 1.0.9-1
- new upstream release.

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Feb 19 2014 HAYASHI Kentaro <hayashi@clear-code.com> - 1.0.6-1
- new upstream release.

* Wed Aug 7 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 1.0.5-4
- install unlisted doc files explicitly.
- add comment about ExclusiveArch

* Tue Jul 30 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 1.0.5-3
- remove needless directory ownership about plugin directory.
- use fully versioned dependency to base package.

* Mon Jul 29 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 1.0.5-2
- remove needless continuous line from configure section.

* Sat Jun 29 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 1.0.5-1
- new upstream release.

* Wed May 29 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 1.0.4-1
- new upstream release.

* Mon Apr 29 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 1.0.3-1
- new upstream release.
- Reduce required packages. groonga-libs is only required.
- Require groonga 3.0.3 or later.
- Split development files into -devel package.

* Fri Mar 29 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 1.0.2-0
- new upstream release.

* Thu Feb 28 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 1.0.1-1
- new upstream release

* Tue Jan 29 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 1.0.0-1
- initial packaging for Fedora
